Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.PaperSource

    java.lang.Object
      java.lang.Enum<QPrinter.PaperSource>
          com.trolltech.qt.gui.QPrinter.PaperSource

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.PaperSource>

Enclosing class:
  QPrinter

    public static enum QPrinter.PaperSource

extends java.lang.Enum<QPrinter.PaperSource>
implements QtEnumerator

This enum type specifies what paper source `QPrinter` is to use. `QPrinter` does not check that the paper source is available; it just uses this information to try and set the paper source. Whether it will set the paper source depends on whether the printer has that particular source.

Warning: This is currently only implemented for Windows.

Enum Constant Summary
`Auto` Internal.
`Cassette` Internal.
`Envelope` Internal.
`EnvelopeManual` Internal.
`FormSource` Internal.
`LargeCapacity` Internal.
`LargeFormat` Internal.
`Lower` Internal.
`Manual` Internal.
`MaxPageSource` Internal.
`Middle` Internal.
`OnlyOne` Internal.
`SmallFormat` Internal.
`Tractor` Internal.

Method Summary
`static QPrinter.PaperSource` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PaperSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.PaperSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OnlyOne

    public static final QPrinter.PaperSource OnlyOne

  Internal.

### Lower

    public static final QPrinter.PaperSource Lower

  Internal.

### Middle

    public static final QPrinter.PaperSource Middle

  Internal.

### Manual

    public static final QPrinter.PaperSource Manual

  Internal.

### Envelope

    public static final QPrinter.PaperSource Envelope

  Internal.

### EnvelopeManual

    public static final QPrinter.PaperSource EnvelopeManual

  Internal.

### Auto

    public static final QPrinter.PaperSource Auto

  Internal.

### Tractor

    public static final QPrinter.PaperSource Tractor

  Internal.

### SmallFormat

    public static final QPrinter.PaperSource SmallFormat

  Internal.

### LargeFormat

    public static final QPrinter.PaperSource LargeFormat

  Internal.

### LargeCapacity

    public static final QPrinter.PaperSource LargeCapacity

  Internal.

### Cassette

    public static final QPrinter.PaperSource Cassette

  Internal.

### FormSource

    public static final QPrinter.PaperSource FormSource

  Internal.

### MaxPageSource

    public static final QPrinter.PaperSource MaxPageSource

  Internal.

Method Detail

### values

    public static final QPrinter.PaperSource[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.PaperSource c : QPrinter.PaperSource.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.PaperSource valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PaperSource resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD